Package relaxngcc.builder

# Class TransitionTable.Entry

java.lang.Object
relaxngcc.builder.TransitionTable.Entry

Enclosing class:
  `TransitionTable`

public static class TransitionTable.Entry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Vector`
`alphabets`
`Transition`
`transition`

## Constructor Summary

Constructors
Constructor
Description
`Entry(Transition tr, Alphabet a)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAlphabet(Alphabet a)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### transition

public Transition transition

### alphabets

public Vector alphabets

## Constructor Details

### Entry

public Entry(Transition tr, Alphabet a)

## Method Details

### addAlphabet

public void addAlphabet(Alphabet a)